> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pricing

> API credit consumption and pricing

## API Credit Consumption

JoggAI API uses a credit-based pricing model. Credits are consumed based on the type of operation and resource usage.

***

## Credit Pricing Table

**New subscription**

| Service | Consumption | Details | Endpoint |
| - | - | - | - |
| **Avatar Video** | 250 credits per 15 seconds | Duration rounded up to the next 15 seconds; minimum 30 seconds (500 credits) | `POST /v2/create_video_from_avatar` |
| **Video Translation** | 125 credits per 15 seconds | Per target language; duration rounded up to the next 15 seconds; minimum 30 seconds (250 credits per language) | `POST /v2/video_translate/` |
| **Lip Sync Video** | 125 credits per 15 seconds | Duration rounded up to the next 15 seconds; minimum 30 seconds (250 credits) | `POST /v2/create_lip_sync_video` |
| **Preview Video** | 125 credits per 15 seconds | Duration rounded up to the next 15 seconds; minimum 30 seconds (250 credits) | `POST /v2/create_video_from_product/preview_list` |
| **AI Scripts** | 40 credits per call | Per API request | `POST /v2/ai_scripts` |
| **Avatar Photo Generation** | 10 credits per image | Single image generation | `POST /v2/photo_avatar/photo/generate` |
| **Avatar Photo Generation(Batch)** | 40 credits per call | Generates 4 images | `POST /v2/photo_avatar/photo/generate` |
| **Photo Avatar Generation** | 600 credits | Per motion generation | `POST /v2/photo_avatar/add_motion` |

**Legacy**

| Service | Consumption | Details | Endpoint |
| - | - | - | - |
| **Avatar Video** | 1 credit per 2 minutes | Videos less than 2 minutes also consume 1 credit | `POST /v2/create_video_from_avatar` |
| **Video Translation** | 0.5 credits per 20 seconds | Videos less than 20 seconds also consume 0.5 credits | `POST /v2/video_translate/` |
| **Lip Sync Video** | 1 credit per 125 seconds | Estimated at about 0.008 credit per second, typically displayed as 0.01 credit per second | `POST /v2/create_lip_sync_video` |
| **Preview Video** | 0.5 credits per 2 minutes | Videos less than 2 minutes also consume 0.5 credits | `POST /v2/create_video_from_product/preview_list` |
| **AI Scripts** | 0.2 credits per call | Per API request | `POST /v2/ai_scripts` |
| **Avatar Photo Generation** | 0.05 credits per image | Single image generation | `POST /v2/photo_avatar/photo/generate` |
| **Avatar Photo Generation(Batch)** | 0.2 credits per call | Generates 4 images | `POST /v2/photo_avatar/photo/generate` |
| **Photo Avatar Generation** | 3 credits | Per motion generation | `POST /v2/photo_avatar/add_motion` |

***

## Pricing Examples

> **Video Generation Examples**
>
> * **30 seconds video:** 1 credit
> * **1 minute video:** 1 credit
> * **2 minutes video:** 1 credit
> * **3 minutes video:** 2 credits
> * **5 minutes video:** 3 credits

> **Preview Video Examples**
>
> * **30 seconds preview:** 0.5 credit
> * **1 minute preview:** 0.5 credit
> * **2 minutes preview:** 0.5 credit
> * **3 minutes preview:** 1 credit

> **Lip Sync Video Examples**
>
> * **30 seconds lip sync:** about 0.24 credit
> * **60 seconds lip sync:** about 0.48 credit
> * **125 seconds lip sync:** 1 credit
> * **250 seconds lip sync:** 2 credits

> **Image Generation Examples**
>
> * **Single image:** 0.05 credit
> * **Batch (4 images):** 0.2 credit
> * **10 single images:** 0.5 credit

***

## Check Your Balance

You can check your remaining credits via:

* **Dashboard:** Visit [app.jogg.ai](https://app.jogg.ai)
* **API:** Use the [Get User Info](/api-reference/v2/User/GetUserInfo) endpoint
* **API:** Use the [Get Remaining Quota](/api-reference/v2/User/GetRemainingQuota) endpoint

> [!NOTE]
>
> Credits are deducted immediately when a request is processed, not when it completes.

***

## Need More Credits?

For enterprise pricing or volume discounts, contact [support@jogg.ai](mailto:support@jogg.ai).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.